;;;; type-checks-basic.scm  -*- Scheme -*-
;;;; Kon Lovett, Jun '18

(module type-checks-basic

(;export
  ;
  define-check-type
  define-check+error-type
  ;
  check-defined-value
  check-bound-value
  check-minimum-argument-count check-argument-count)

(import scheme)
(import (chicken base))
(import (chicken type))
(import (chicken syntax))

(: check-defined-value (* 'a #!optional * -> 'a))
(: check-bound-value (* 'a #!optional * -> 'a))
(: check-minimum-argument-count (* fixnum fixnum -> fixnum))
(: check-argument-count (* fixnum fixnum -> fixnum))

(include "type-checks-basic.impl.scm")

) ;module type-checks-basic
